# TODO (for arm):
# - --enable-tda995x (needs nxp_hdmi SDK)
# - --enable-rpi (needs Raspberry Pi SDK)
# - package python module
#
# Conditional build:
%bcond_with	python		# python module
%bcond_with	static_libs	# static library build
#
Summary:	Pulse-Eight CEC adapter control library
Summary(pl.UTF-8):	Biblioteka sterowania adapterem CEC Pulse-Eight
Name:		libcec
Version:	7.0.0
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	https://github.com/Pulse-Eight/libcec/archive/%{name}-%{version}.tar.gz
# Source0-md5:	c7dbec3ad794a42aebf4b184c4e66b83
URL:		http://libcec.pulse-eight.com/
BuildRequires:	cmake >= 3.12.0
BuildRequires:	libstdc++-devel >= 6:4.2
BuildRequires:	lockdev-devel >= 1.0
BuildRequires:	ncurses-devel
BuildRequires:	p8-platform-devel
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	systemd-devel
BuildRequires:	udev-devel >= 1:151
BuildRequires:	xorg-lib-libXrandr-devel
%if %{with python}
BuildRequires:	python3-devel
BuildRequires:	swig
BuildRequires:	swig-python
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pulse-Eight CEC adapter control library.

%description -l pl.UTF-8
Biblioteka sterowania adapterem CEC firmy Pulse-Eight.

%package utils
Summary:	Utilities for Pulse-Eight CEC adapter control
Summary(pl.UTF-8):	Narzędla dla adaptera CEC Pulse-Eight
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description utils
With libcec you can access your Pulse-Eight CEC adapter.

This package contains the command-line tools to configure and test
your Pulse-Eight CEC adapter.

%description utils -l pl.UTF-8
libcec pozwala na dostęp do adaptera CEC firmy Pulse-Eight.

Ten pakiet zawiera narzędzie linii poleceń do konfiguracji i
testowania adaptera CEC Pulse-Eight.

%package devel
Summary:	Header files for libcec library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libcec
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:4.2
Requires:	udev-devel >= 1:151

%description devel
Header files for libcec library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libcec.

%package static
Summary:	Static libcec library
Summary(pl.UTF-8):	Statyczna biblioteka libcec
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libcec library.

%description static -l pl.UTF-8
Statyczna biblioteka libcec.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
install -d build
cd build
%cmake \
	-DHAVE_LINUX_API=on \
	%{!?with_python:-DSKIP_PYTHON_WRAPPER:BOOL=ON} \
	..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# Remove versioned binaries
rm $RPM_BUILD_ROOT%{_bindir}/cec-client $RPM_BUILD_ROOT/%{_bindir}/cecc-client
mv $RPM_BUILD_ROOT%{_bindir}/cec-client-%{version} $RPM_BUILD_ROOT/%{_bindir}/cec-client
mv $RPM_BUILD_ROOT%{_bindir}/cecc-client-%{version} $RPM_BUILD_ROOT/%{_bindir}/cecc-client

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# LICENSE.md contains also general notes
%doc AUTHORS ChangeLog LICENSE.md README.md
%attr(755,root,root) %{_libdir}/libcec.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcec.so.7

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cec-client
%attr(755,root,root) %{_bindir}/cecc-client

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcec.so
%{_pkgconfigdir}/libcec.pc
%{_includedir}/libcec

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcec.a
%endif
%changelog
* Fri Mar 14 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcec.git;a=log;h=master

* Sat Mar 08 2025 Jan Palus <atler@pld-linux.org> c18e4eb
- up to 7.0.0 (new soname)

* Sat Mar 08 2025 Jan Palus <atler@pld-linux.org> b80188f
- update required cmake version

* Thu Dec 22 2022 Jan Palus <atler@pld-linux.org> d3f8986
- updated source url to https

* Thu Dec 22 2022 Jan Palus <atler@pld-linux.org> 011823a
- macros for %cmake

* Thu Dec 22 2022 Jan Palus <atler@pld-linux.org> 963dca6
- don't build python module until it is packaged

* Sun Jan 17 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e40ea9
- rel 2; use p8-platform-devel

* Sun Jan 17 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> f6d721c
- drop versioned binaries

* Sun Jan 17 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> d4157d5
- up to 6.0.2; TODO: package python module

* Wed Jul 15 2015 Jan Rękorajski <baggins@pld-linux.org> c73c7c1
- release 2 (by relup.sh)

* Sun Mar 09 2014 Jakub Bogusz <qboosh@pld-linux.org> ab26f24
- updated to 2.1.4

* Sun Jun 16 2013 Jakub Bogusz <qboosh@pld-linux.org> afa143c
- updated to 2.1.3

* Sun May 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 9bf76b7
- cleanup, completed dependencies, added -static

* Sat May 04 2013 Lukasz Glebicki <blekot@pld-linux.org> 43ca1a8
- proper url

* Sat May 04 2013 Lukasz Glebicki <blekot@pld-linux.org> 26910e2
- new
- taken from
  http://svnweb.mageia.org/packages/cauldron/libcec/current/SPECS/libcec.spec

* Sat May 04 2013 Lukasz Glebicki <blekot@pld-linux.org> 7fef502
- Init

